package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsFileInfo;

/**
 * 文件校对Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface ITrsFileInfoService 
{
    /**
     * 查询文件校对
     * 
     * @param id 文件校对主键
     * @return 文件校对
     */
    public TrsFileInfo selectTrsFileInfoById(Long id);

    /**
     * 查询文件校对列表
     * 
     * @param trsFileInfo 文件校对
     * @return 文件校对集合
     */
    public List<TrsFileInfo> selectTrsFileInfoList(TrsFileInfo trsFileInfo);

    /**
     * 新增文件校对
     * 
     * @param trsFileInfo 文件校对
     * @return 结果
     */
    public int insertTrsFileInfo(TrsFileInfo trsFileInfo);

    /**
     * 修改文件校对
     * 
     * @param trsFileInfo 文件校对
     * @return 结果
     */
    public int updateTrsFileInfo(TrsFileInfo trsFileInfo);

    /**
     * 批量删除文件校对
     * 
     * @param ids 需要删除的文件校对主键集合
     * @return 结果
     */
    public int deleteTrsFileInfoByIds(String ids);

    /**
     * 删除文件校对信息
     * 
     * @param id 文件校对主键
     * @return 结果
     */
    public int deleteTrsFileInfoById(Long id);
}
